Package com.independentsoft.office.spreadsheet.drawing

# Class GraphicFrame

java.lang.Object
com.independentsoft.office.spreadsheet.drawing.GraphicFrame

All Implemented Interfaces:
  `IAnchorElement`, `IGroupElement`

public class GraphicFrame extends Object implements IGroupElement, IAnchorElement
The Class GraphicFrame.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GraphicFrame()`
  Instantiates a new graphic frame.
  `GraphicFrame​(GraphicObject graphicObject)`
  Instantiates a new graphic frame.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GraphicFrame`
  `clone()`
  `String`
  `getDescription()`
  Gets the description.
  `GraphicObject`
  `getGraphicObject()`
  Gets the graphic object.
  `String`
  `getID()`
  Gets the id.
  `GraphicFrameLocking`
  `getLocking()`
  Gets the locking.
  `String`
  `getMacro()`
  Gets the macro.
  `String`
  `getName()`
  Gets the name.
  `Transform2D`
  `getTransform2D()`
  Gets the transform2 d.
  `boolean`
  `isHidden()`
  Checks if is hidden.
  `boolean`
  `isPublish()`
  Checks if is publish.
  `void`
  `setDescription​(String description)`
  Sets the description.
  `void`
  `setGraphicObject​(GraphicObject graphicObject)`
  Sets the graphic object.
  `void`
  `setHidden​(boolean isHidden)`
  Sets the hidden.
  `void`
  `setID​(String id)`
  Sets the id.
  `void`
  `setLocking​(GraphicFrameLocking locking)`
  Sets the locking.
  `void`
  `setMacro​(String macro)`
  Sets the macro.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setPublish​(boolean publish)`
  Sets the publish.
  `void`
  `setTransform2D​(Transform2D transform2D)`
  Sets the transform2 d.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GraphicFrame

    public GraphicFrame()
    Instantiates a new graphic frame.

  - ### GraphicFrame

    public GraphicFrame​(GraphicObject graphicObject)
    Instantiates a new graphic frame.
    Parameters:
      `graphicObject` - the graphic object

- ## Method Details

  - ### clone

    public GraphicFrame clone()
    Specified by:
      `clone` in interface `IAnchorElement`
    Specified by:
      `clone` in interface `IGroupElement`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getGraphicObject

    public GraphicObject getGraphicObject()
    Gets the graphic object.
    Returns:
      the graphic object

  - ### setGraphicObject

    public void setGraphicObject​(GraphicObject graphicObject)
    Sets the graphic object.
    Parameters:
      `graphicObject` - the new graphic object

  - ### getTransform2D

    public Transform2D getTransform2D()
    Gets the transform2 d.
    Returns:
      the transform2 d

  - ### setTransform2D

    public void setTransform2D​(Transform2D transform2D)
    Sets the transform2 d.
    Parameters:
      `transform2D` - the new transform2 d

  - ### isPublish

    public boolean isPublish()
    Checks if is publish.
    Returns:
      true, if is publish

  - ### setPublish

    public void setPublish​(boolean publish)
    Sets the publish.
    Parameters:
      `publish` - the new publish

  - ### getMacro

    public String getMacro()
    Gets the macro.
    Returns:
      the macro

  - ### setMacro

    public void setMacro​(String macro)
    Sets the macro.
    Parameters:
      `macro` - the new macro

  - ### getLocking

    public GraphicFrameLocking getLocking()
    Gets the locking.
    Returns:
      the locking

  - ### setLocking

    public void setLocking​(GraphicFrameLocking locking)
    Sets the locking.
    Parameters:
      `locking` - the new locking

  - ### getID

    public String getID()
    Gets the id.
    Returns:
      the id

  - ### setID

    public void setID​(String id)
    Sets the id.
    Parameters:
      `id` - the new id

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### getDescription

    public String getDescription()
    Gets the description.
    Returns:
      the description

  - ### setDescription

    public void setDescription​(String description)
    Sets the description.
    Parameters:
      `description` - the new description

  - ### isHidden

    public boolean isHidden()
    Checks if is hidden.
    Returns:
      true, if is hidden

  - ### setHidden

    public void setHidden​(boolean isHidden)
    Sets the hidden.
    Parameters:
      `isHidden` - the new hidden